Valorant API Unofficial docs
API Reference Local Endpoints — Chat
GET

Current Game Chat Info

Get information about the current game chat

Server Local client Auth Basic · lockfile
GET https://127.0.0.1:{port}/chat/v6/conversations/ares-coregame

Headers

Authorization string required
Value Basic {base64 encoded "riot:{lockfile password}"}— Base64 of riot:{lockfile password}, from the Riot Client lockfile

URL parameters

port number required

From the Riot Client lockfile.

How to get it

The port can be found from the lockfile (located at %LocalAppData%\Riot Games\Riot Client\Config\lockfile ) when the game is running. The file has the format name:pid:port:password:protocol

Other variables

lockfile password From the Riot Client lockfile.
Details

The password can be found from the lockfile (located at %LocalAppData%\Riot Games\Riot Client\Config\lockfile ) when the game is running. The file has the format name:pid:port:password:protocol

Riot Client lockfile

Response

conversations array[object]
Show nested attributes Hide nested attributes 10
cid string
direct_messages boolean
global_readership boolean
message_history boolean
mid string
muted boolean
mutedRestriction boolean
type enum
"groupchat""chat"
uiState object
Show nested attributes Hide nested attributes 2
changedSinceHidden boolean
hidden boolean
unread_count number